*****************************************************************************
* Program: Tutorial1.asm
* Descrip: First tutorial executable for ReSource.
*   Usage: None
*  Author: Jeff Lavin
* History: 08/18/91 V1.0 Created
*****************************************************************************

	exeobj
	objfile	'Tutorial1'

AbsExecBase	equ	4

Tutorial1	MOVEM.L	D0/A0,-(SP)
	MOVEA.L	(AbsExecBase),A6
	LEA	(DosName,PC),A1
	JSR	(_LVOOpenLibrary,A6)
	MOVE.L	D0,(_DosBase)
	BNE.B	OpenedOK
	MOVE.L	#AT_Recovery!AG_OpenLib!AO_DOSLib,D7
	JSR	(_LVOAlert,A6)
	BRA.B	NoDos

OpenedOK	JSR	(Main)
NoDos	ADDQ.W	#8,SP
	MOVEQ	#0,D0
	RTS

DosName	DC.B	'dos.library',0

Main	TST.L	(_DosBase)
	BEQ.B	Done
	MOVEA.L	(_DosBase),A1
	MOVEA.L	(AbsExecBase),A6
	JSR	(_LVOCloseLibrary,A6)
Done	RTS

_DosBase	DC.L	0

	END
